MsWrd1ParserInternal::State Struct Reference

Internal: the state of a MsWrd1Parser. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

long | m_eot
| end of text
int | m_numColumns
| the number of columns
float | m_columnsSep
| the column separator
int | m_fileZonesLimit [7]
| the zones limits
std::vector< MWAWVec2l > | m_textZonesList
| the list of text zones
std::vector< int > | m_mainTextZonesList
| the list of main text zones
std::vector< Font > | m_fontsList
| the list of fonts
std::vector< Paragraph > | m_paragraphsList
| the list of paragraph
bool | m_endNote
| a flag to know if we send endnote or footnote
std::vector< MWAWVec2l > | m_footnotesList
| the footnote positions ( list of beginPos, endPos)
std::multimap< long, PLC > | m_plcMap
| the text correspondance zone ( filepos, plc )
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
std::vector< int > | m_headersId
| the list of header id which corresponds to each page
std::vector< int > | m_footersId
| the list of footer id which corresponds to each page

## Detailed Description

Internal: the state of a MsWrd1Parser.

## Constructor & Destructor Documentation

## State()

MsWrd1ParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_actPage

int MsWrd1ParserInternal::State::m_actPage

the actual page

Referenced by State().

## m_columnsSep

float MsWrd1ParserInternal::State::m_columnsSep

the column separator

Referenced by State().

## m_endNote

bool MsWrd1ParserInternal::State::m_endNote

a flag to know if we send endnote or footnote

Referenced by State().

## m_eot

long MsWrd1ParserInternal::State::m_eot

end of text

Referenced by State().

## m_fileZonesLimit

int MsWrd1ParserInternal::State::m_fileZonesLimit[7]

the zones limits

Referenced by State().

## m_fontsList

std::vector<Font> MsWrd1ParserInternal::State::m_fontsList

the list of fonts

Referenced by State().

## m_footersId

std::vector<int> MsWrd1ParserInternal::State::m_footersId

the list of footer id which corresponds to each page

Referenced by State().

## m_footnotesList

std::vector<MWAWVec2l> MsWrd1ParserInternal::State::m_footnotesList

the footnote positions ( list of beginPos, endPos)

Referenced by State().

## m_headersId

std::vector<int> MsWrd1ParserInternal::State::m_headersId

the list of header id which corresponds to each page

Referenced by State().

## m_mainTextZonesList

std::vector<int> MsWrd1ParserInternal::State::m_mainTextZonesList

the list of main text zones

Referenced by State().

## m_numColumns

int MsWrd1ParserInternal::State::m_numColumns

the number of columns

Referenced by State().

## m_numPages

int MsWrd1ParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## m_paragraphsList

std::vector<Paragraph> MsWrd1ParserInternal::State::m_paragraphsList

the list of paragraph

Referenced by State().

## m_plcMap

std::multimap<long, PLC> MsWrd1ParserInternal::State::m_plcMap

the text correspondance zone ( filepos, plc )

Referenced by State().

## m_textZonesList

std::vector<MWAWVec2l> MsWrd1ParserInternal::State::m_textZonesList

the list of text zones

Referenced by State().

The documentation for this struct was generated from the following file:

- MsWrd1Parser.cxx